

package gov.va.med.cds.common.person.correlation;


public interface PersonIdentifierInterface
{

    /** 
     * @return the identity
     */
    String getIdentity( );


    /** 
     * @param theIdentity the identity to set
     */
    void setIdentity( String theIdentity );


    /** 
     * @return the assigningFacility
     */
    String getAssigningFacility( );


    /** 
     * @param theAssigningFacility the assigningFacility to set
     */
    void setAssigningFacility( String theAssigningFacility );


    /** 
     * @return the assigningAuthority
     */
    String getAssigningAuthority( );


    /** 
     * @param theAssigningAuthority the assigningAuthority to set
     */
    void setAssigningAuthority( String theAssigningAuthority );

}
